mode(-1)

__demo_dir=get_absolute_file_path('demo.sci');

while %t then
  demolist=[
    '1. ME of the abs function','abs.sci';
    '2. ME of the square function','sqr.sci';
    '3. ME of a nonsmooth nonconvex function','nonconvexabs.sci';
    '4. ME of a smooth nonconvex function','nonconvexsqr.sci';
    '5. Beneath-Beyond algorithm','pl_bb.sci';
    '6. LFT convergence','pl_lft_direct.sci';
    '7. LL of a nonconvex abs function','llnonconvexabs.sci';
    '8. Convex hull of a PLQ function','plq_co.sce';
    '9. Convex hull of a PLQ function, duality algorithm','plq_coSplit.sce';
    '10. Rockafellar functions of an operator','plq_rock.sce';
    '11. Algorithm performance comparisons ->','demo_timing.sce';
    '12. Proximal Average demos ->','demo_pa.sce';
    '13. Graph-Matrix Calculus (GPH) demos ->','demo_gph.sce'];

  if  whereis('tk_choose')<>[] & (msscanf(getversion(),"%*7s%d") < 5) then 
      num=tk_choose(demolist(:,1),['Demos > CCA','Choose a demo']);
  elseif (msscanf(getversion(),"%*7s%d") < 5) then 
      //use x_choose when tk_choose is not available e.g. in Scilab 3.0
      num=x_choose(demolist(:,1),['Demos > CCA','Choose a demo']);
  else
      //use x_choose_modeless in Scilab 5.x.x due to bug of tk_choose
      num=x_choose_modeless(demolist(:,1),['Demos > CCA','Choose a demo']);      
  end;
  if num==0 then
     break;
  else
     exec(__demo_dir+demolist(num,2),-1);
  end,
end;
clear __demo_dir
