mode(-1)

__timing_demo_dir=get_absolute_file_path('demo_timing.sce');
while %t then
  timing_demolist=[
    '1. Discrete LFT algorithms','time_lft.sci';
    '2. Discrete ME algorithms','time_me.sci';
    '3. PLQ convex hull algorithms','time_co.sce';
    '4. PLQ/GPH/OPT/LLT algorithms','time_plq_etc.sce';
    '5. Fitzpatrick function algorithms (infinite-order)','time_fitz.sci'];

  if  whereis('tk_choose')<>[] & (msscanf(getversion(),"%*7s%d") < 5) then 
    num=tk_choose(timing_demolist(:,1),['Demos > CCA > Algorithm performance comparisons','Choose a demo']);
  elseif (msscanf(getversion(),"%*7s%d") < 5) then 
    //use x_choose when tk_choose is not available e.g. in Scilab 3.0
    num=x_choose(timing_demolist(:,1),['Demos > CCA > Algorithm performance comparisons','Choose a demo']);
  else
    //use x_choose_modeless in Scilab 5.x.x due to bug of
    //tk_choose
    num=x_choose_modeless(timing_demolist(:,1),['Demos > CCA > Algorithm performance comparisons','Choose a demo']);
  end;

  if num==0 then
    break;
  else
    exec(__timing_demo_dir+timing_demolist(num,2),-1);
  end,
end;
clear __timing_demo_dir
