mode(-1)
tic();
th=1; // what is this for?

fig=scf();

drawlater();

//lset=[0:0.0005:1];//for final plot
lset=[0:0.01:1];//for investigation
nc=length(lset);
cm=[jetcolormap(nc)];
fig.color_map = cm;

xx=linspace(-3,3,200)';rect=[-3,0,3,9];f0=[%inf,1,0,0];f1=[%inf,0,1,2];//quadratic to linear
aayy0=plq_eval(f0,xx);aayy1=plq_eval(f1,xx);

subplot(1,2,1);
plot2d([], [], rect=rect);
xtitle("Arithmetic Average (quadratic to linear)", "x", "AA");

subplot(1,2,2);
plot2d([], [], rect=rect);
xtitle("Proximal Average (quadratic to linear)", "x", "PA");

i=1;stp=ceil(nc/10);
beginProgress();
for lambda=lset,
    aayy=(1-lambda)*aayy0+lambda*aayy1;
    subplot(1,2,1);
    plot2d(xx,aayy,style=i,rect=rect);

    pa=plq_pa(f0,f1,lambda);
    payy=plq_eval(pa,xx);
    subplot(1,2,2);
    plot2d(xx,payy,style=i,rect=rect);

    if modulo(i,stp)==0 then
        showProgress((i-1)/length(lset));
    end;

    i=i+1;
end;
//subplot(1,2,1); colorbar(0,1);
subplot(1,2,2); colorbar(0,1);
finishProgress();
drawnow();
toc()
