mode(-1);

f = [0,0,1,0; %inf,0,1,0];
g = [1,0,1,0; %inf,0,1,-1];
h = plq_add(f, g);
X = -3:0.1:4;
S = X;
n = length(X); m = length(S);
Y = plq_eval(h, X)';
M = plq_me(h, 0.5, %t); MY = plq_eval(M, X)';
C = plq_lft(h, %t); CY = plq_eval(C, X)';
CC = plq_lft(C, %t); CCY = plq_eval(CC, X)';

scf();
plot2d(X, matrix([Y, MY, CY, CCY], length(Y), 4), rect=[X(1), min(min(Y,MY,CY,CCY)), X(length(X)), max(max(Y,MY,CCY))]);
labels = ['Y','MY','CY','CCY'];
legends(labels, 1:size(labels,2), opt='ul');

