function b = isEqual(varargin)
  // Compares whether a variable number of matrices are equal, by
  // comparing successive pairs of matrices via isEqual2.  See
  // help isEqual2 for more information.
  n = length(varargin);
  b = %t;
  for i = 1:n-1
    if (~isEqual2(varargin(i), varargin(i+1))) then
      b = %f;
      return;
    end;
  end;
endfunction