function Err=printDifference(T, inds, Alg,flag)
    // T: is a vector of matrices.
    // inds: are the indicies that are used to reference the entries in T. The last
    //       index in inds is the reference matrix.
    //Alg: vector containing the names of all algorithms. Alg(inds) contains only
    //      the algorithms being tested
    //flag: flag passed to the norm function. Can be 1, 2, 'inf', 'fro'
    T_ref = T(inds($));
    n = size(T_ref,1)*size(T_ref,2);
    printf("Error due to interpolation:\n");
    nalg = size(inds,2)-1;
    Err = zeros(inds);
    if argn(2) < 4 then flag=1;end;
    for i=1:nalg do
        Err(i) = norm(T_ref - T(inds(i)),flag);
//        x = sum(abs(T_ref - T(inds(i))));
//        dev = x/n;
//        printf("%s: %f\n",Alg(i),dev);
    end;
    dispOrder(Err',Alg(inds));
endfunction