function version = lft_version()
      version = "1.6.2";      
      // 1.5.4 -> 1.5.5
      // - Renamed lft.sci to lft_version.sci.     
      // 1.5.3 -> 1.5.4
      // - Removed unreachable case from pl_bb.
      // - Stopped fusionsci from returning two values when only one S was given.
      // - Removed lft_2d function; use lft_{llt,direct}2d instead.
      // - Began using cerror.
  
      // Scilab tacitly assumes that file foo.sci defines at least a function named foo. 
      // If subsidiary functions are included, they are made known to Scilab only after 
      // the function foo had been referenced.
      // This function initializes the global variable
      // __sci_version which contains the major scilab number. 
      global __sci_version;
      __sci_version = msscanf(getversion(),"%*7s%d");              
endfunction
