function ph = pl_ph_direct(X,Y,S,lambda)
  //Pasch-Hausdorff envelope using fast algorithm (quadratic time)
  //compute min_i y_i + lambda |x_i - s_j|
  //where y_i = f(x_i) for f not necessarily convex
  ph = min( Y*ones(1,size(S,1)) + lambda * abs( X*ones(1,size(S,1)) - ones(size(X,1),1)*S'  ),'r')';
endfunction