//main function: parabolic envelope of a univariate function on
//an interval
function [M] = pl_me_pe(x0, xn, f)
	//X must be a regular grid and S=X
	n=length(f);h=(xn-x0)/(n-1);
	X=(x0:h:xn)';n=size(X,1);
	hsqr=h^2;
	//recover non integer partition 
	//using M(x_j)=h^2 * min_i [ ||j-i||^2 + f(x_0+i*h)/h^2]
	M=hsqr * me_pe_d(f./hsqr);
endfunction