// Parametric Moreau Envelope
function [M, z] = pl_me_plt(X, f, df)
	lambda = 0.5;
	S = df(X);
	z = X + lambda * df(X);
	[z, k]=unique(z);X=X(k);S=S(k);//remove duplicate slopes
	M = f(X) + lambda * S.^2 /2;
endfunction