function version = op_version()
      version = "1.6.2";
      // 1.5.4 -> 1.5.5
      // - Renamed op.sci to op_version.sci.
      // 1.5.3 -> 1.5.4
      // - Created op.sci.
      // - Implemented four Fitzpatrick algorithms:
      //      op_fitz_brute
      //      op_fitz_direct
      //      op_fitz
      //      op_fitzinf
      // - Added unit tests to reach 100% coverage of op.sci.
  
      // Scilab tacitly assumes that file foo.sci defines at least a function named foo. 
      // If subsidiary functions are included, they are made known to Scilab only after 
      // the function foo had been referenced.
      // This function initializes the global variable
      
      // __sci_version which contains the major scilab number. 
      global __sci_version;
      __sci_version = msscanf(getversion(),"%*7s%d");  
endfunction











