//plot the subdifferential graph of an unknown number of gph functions
//automatically compute the display window and extrapolate to its boundary
//see gph_version for utility functions _gph_plotbounds, _gph_yCoord, _gph_extendGph
function gph_plot(varargin)
  if length(varargin)==0 then cerror("No argument given to gph_plot function");end
  if length(varargin)==1 then L=[varargin];else L=varargin;end;
  rect = _gph_plotbounds(L);
  //need to plot graph by graph since graphs may not have the same number of points
  for i=1:length(varargin)
    g = varargin(i);
    G = _gph_extendGph(g,rect);//extend graph to boundary by linear extrapolation
    plot2d(G(1,:)',G(2,:)',rect=rect,style=i);
    plot2d(G(1,:)',G(2,:)',rect=rect,style=-i);
  end
endfunction