function [plqic, argmin] = plq_plotic(plqf, plqg, swapArgmin, plotArgmin)
  if (argn(2) < 3) then swapArgmin = %t; end;
  if (argn(2) < 4) then plotArgmin = %f; end;
  [plqic, argmin] = plq_infconv_brute(plqf, plqg, swapArgmin, plotArgmin);
  x0 = min(plqf(1,1), plqg(1,1), plqic(1,1));
  x1 = max(plqf($-1,1), plqg($-1,1), plqic($-1,1));
  ax0 = argmin(1,1);
  ax1 = argmin($-1,1);
  scf(0); clf(); plq_plotMultiple(x0, x1, plqf, plqg, plqic);
  xtitle("f, g, infconv(f,g)")
  scf(1); clf(); plq_plotMultiple(ax0, ax1, argmin);
  xtitle("Proximal mapping of infconv(f,g)")
endfunction