//calculates the max between two functions that do not intersect within the given interval.
function [plq,i] = maxoninterval(q1,q2,lb,ub,a,b,c)
    if and(isinf([lb,ub])) then 
        m=0;//pick any point
    else//at most one bound is infinite
        lb1=lb;ub1=ub;
        if lb==-%inf then lb1=ub-1;end;
        if ub==%inf then ub1=lb+1;end;
        m=(lb1+ub1)/2;//midpoint
    end;
  //printf("\n Maxoninterval: q1=[%f,%f,%f], q2=[%f,%f,%f]",q1(1,1),q1(1,2),q1(1,3),q2(1,1),q2(1,2),q2(1,3));
    if a*m^2+b*m+c > 0 then plq = [ub,q1]; i = 1; //assumes (q1 - q2) = qld
    else plq = [ub,q2]; i = 2;
    end;
endfunction
/////////////FINDS THE MAXIMUM OF TWO PLQ FUCNTIONS///