mode(-1);

__test_dir=get_absolute_file_path('test.sci');

testlist=[
  '1. Run unit tests','t.sci';
  '2. Run coverage testing (broken in Scilab 5.2.2)','test+cov.sci'];

if  whereis('tk_choose')<>[] & (msscanf(getversion(),"%*7s%d") < 5) then 
  num=tk_choose(testlist(:,1),['CCA Unit Tests','Choose how to run tests']);
elseif (msscanf(getversion(),"%*7s%d") < 5) then 
  //use x_choose when tk_choose is not available e.g. in Scilab 3.0
  num=x_choose(testlist(:,1),['CCA Unit Tests','Choose how to run tests']);
else
  //use x_choose_modeless in Scilab 5.x.x due to bug of tk_choose
  num=x_choose_modeless(testlist(:,1),['CCA Unit Tests','Choose how to run tests']);      
end;
if num~=0 then
  exec(__test_dir+testlist(num,2),-1);
end;
clear __test_dir
