mode(-1);

__test_set = "GPH: _unique";
//_unique is only provided for backward compatibility with Scilab 4
//use the Scilab 5 function unque(M,'c') instead

function [b] = test1()
  M=[1 1 2];
  [N,k]=_unique(M);
  b=and(N==[1 2]) & and(k==[1 3]);
endfunction

function [b] = test2()
  M=[1 1 2;1 2 3];
  [N,k]=_unique(M);
  b=and(N==M) & and(k==[1 2 3]);
endfunction

function [b] = test3()
  M=[1 1 2;1 1 3];
  [N,k]=_unique(M);
  b=and(N==M(:,k)) & and(k==[1 3]);
endfunction

function [b] = test4()
  M=[1 1 2;1 1 3;5 5 1];
  [N,k]=_unique(M);
  b=and(N==M(:,k)) & and(k==[1 3]);
endfunction

function [b] = test5()
  M=[1 1 2 1 4 1;1 1 3 1 4 1;5 5 1 9 8 9];
  [N,k]=_unique(M);
  b=and(N==M(:,k)) & and(k==[1 3 4 5]);
endfunction

function [b] = runTestFile()
  b = %t;
  b = checkForFail(testWrapper(test1,"test1"), b);    
  b = checkForFail(testWrapper(test2,"test2"), b);    
  b = checkForFail(testWrapper(test3,"test3"), b);    
  b = checkForFail(testWrapper(test4,"test4"), b);    
  b = checkForFail(testWrapper(test5,"test5"), b);
endfunction
