mode(-1);
__test_set = "OPT: opt_co";

function b = test0()
  X=[1;0];ind=4;xb=1;
  f=_energy;df=_identity;
  [_f,_g,ind] = _costf_co(X,4,xb)
  b=and([_f;_g;ind] ==[0.5;0;1;4]);
  //lambda=X(2) should be in [0,0.5]
  X=[1;1];
  [_f,_g,ind] = _costf_co(X,4,xb)
  b=b & and([_f;ind] ==[%inf;-1]) & and(isnan(_g));
  
  X=[1;0.5];xb=2;
  [_f,_g,ind] = _costf_co(X,4,xb)
  b=b & and([_f;_g;ind] ==[2.5;-1;2;4]);
endfunction

  
  
//  x=linspace(-4,4,3)';
//  [fopt,y]=opt_me(f,df,[-%inf,%inf],x,0.5);
//  p1 = [%inf,0.5,0,0];
//  q=plq_me(p1,0.5);
//  ff=plq_eval(q,x);
//  b = isEqual(fopt,ff);


function b = test1()
  //linear
  function y=f(x),y=x+1;endfunction
  function y=df(x),y=1;endfunction  

  x=linspace(-4,4,3)';
  [fopt,Argmin]=opt_co(f,df,[-%inf,%inf],x,0);
  p1 = [%inf,0,1,1];
  q=plq_co(p1);
  ff=plq_eval(q,x);
  b = isEqual(fopt,ff);
endfunction

function b = test2()
  function y=f(x),if x<-1 | x>1 then y=%inf;else y=0;end;endfunction
  df=f;
  x=linspace(-4,4,3)';
  [fopt,Argmin]=opt_co(f,df,[-1,1],x,1);
  p1 = [-1,0,0,%inf;1,0,0,0;%inf,0,0,%inf];
  q=plq_co(p1);
  ff=plq_eval(q,x);
  b = isEqual(fopt,ff);
endfunction

function b = test3()
  f=_energy;df=_identity;
  x=linspace(-4,4,3)';
  [fopt,Argmin]=opt_co(f,df,[-%inf,%inf],x,1);
  p1 = [%inf,0.5,0,0];
  q=plq_co(p1);
  ff=plq_eval(q,x);
  b = isEqual(fopt,ff);
endfunction

function b = test4()
  function y=f(x),y=-0.5*x*x;endfunction
  function y=df(x),y=-x;endfunction  

  x=linspace(-4,4,3)';
  [fopt,Argmin]=opt_co(f,df,[-%inf,%inf],x,1);
  p1 = [%inf,-0.5,0,0];
  q=plq_co(p1);
  ff=plq_eval(q,x);
  b = isEqual(fopt,ff);
endfunction

function b = test5()
  function y=f(x),y=abs(abs(x)-1);endfunction
  function y=df(x),if x<-1 then y=-1; elseif x==-1 then y=0; elseif x<0 then y=1; elseif x==0 then y=%nan; elseif x<1 then y=-1; elseif x==1 then y=0; elseif x>1 then y=1; end;endfunction  

  x=linspace(-4,4,3)';
  [fopt,Argmin]=opt_co(f,df,[-%inf,%inf],x,1);
  p1 = [-1,0,-1,-1;0,0,1,1;1,0,-1,1;%inf,0,1,-1];
  q=plq_co(p1);
  ff=plq_eval(q,x);
  b = isEqual(fopt,ff);
endfunction


function b = runTestFile()
	b = %t;
//	b = checkForFail(testWrapper(test0, "test0"), b);	
//	b = checkForFail(testWrapper(test1, "test1"), b);	
//	b = checkForFail(testWrapper(test2, "test2"), b);		
endfunction
