mode(-1);
__test_set = "OPT: opt_ka";

function b = test0()
  //kernel-average of 2 indicators
  //WARNING: indicator of singletons are tricky to handle because of round-off errors
  //AND because of subgradient computation e.g. using g=_energy below will never
  //give a zero gradient. This test work because dg=_zero
  function y=f1(x),if clean(x+1)==0 then y=0; else y=%inf;end;endfunction
  function y=df1(x),if clean(x+1)==0 then y=0; else y=%inf;end;endfunction
  function y=f2(x),if clean(x-1)==0 then y=0; else y=%inf;end;endfunction
  function y=df2(x),if clean(x-1)==0 then y=0; else y=%inf;end;endfunction
  g=_zero;dg=_zero;
  x=linspace(-1,1,3)';lambda=0.5;
  [f,y]=opt_ka(f1,df1,[-1,-1],f2,df2,[1,1],g,dg,[-%inf,%inf],x,lambda);
  function y=sol(x), 
    lambda=0.5;
    if abs(x-((1-lambda)*(-1) + lambda*1)) < 1E-8 then
      y=lambda*(1-lambda)*g(-1-1);
    else
      y=%inf;
    end;
  endfunction
  ff = feval(x,sol);
  b = isEqual(f,ff);
endfunction

function b = runTestFile()
	b = %t;
	b = checkForFail(testWrapper(test0, "test0"), b);	
endfunction
