mode(-1);
__test_set = "OPT: opt_kaFeasiblePoint";

function b = test1()  
  x=0;
  lambda1=0.5;lambda2=0.5;
  f1=[-1,0,0,%inf;1,0,0,0;%inf,0,0,%inf];
  f2=[0,0,0,%inf;2,0,0,0;%inf,0,0,%inf];
  g=[%inf,0.5,0,0];
  //feasible interval is [-1,0]
  xstart=-2;y1 = _pl_kaFeasiblePoint(xstart,x,lambda1,lambda2,plq_dom(f1),plq_dom(f2),plq_dom(g));
  b = isEqual(y1,-1);
  xstart=-0.5;y1 = _pl_kaFeasiblePoint(xstart,x,lambda1,lambda2,plq_dom(f1),plq_dom(f2),plq_dom(g));
  b = b & isEqual(y1,-0.5);
  xstart=1;y1 = _pl_kaFeasiblePoint(xstart,x,lambda1,lambda2,plq_dom(f1),plq_dom(f2),plq_dom(g));
  b = b & isEqual(y1,0);  
endfunction

function b = test2()
  x=0;xstart=1;
  lambda1=0.5;lambda2=0.5;
  f1=[%inf,0,-1,0];
  f2=[%inf,0,1,0];
  g=[%inf,0.5,0,0];
  //feasible interval is [-%inf,%inf]
  y1 = _pl_kaFeasiblePoint(xstart,x,lambda1,lambda2,plq_dom(f1),plq_dom(f2),plq_dom(g));
  b=isEqual(y1,xstart);
endfunction

function b = runTestFile()
	b = %t;
	b = checkForFail(testWrapper(test1, "test1"), b);
	b = checkForFail(testWrapper(test2, "test2"), b);
endfunction
