// Test file for plt.sci
//////////////////////////////////////////////////////////////////////////
mode(-1);
__test_set = "test_plt: Parametric Computation of the Legendre Fenchel";


//test grid generation and conjugate computation
function b = testX2()
	function y = f(x), y=0.5 * x.^2, endfunction;
	function s = df(x), s= x, endfunction;
	b=%T;n=8;
	X=(-n/2:1:n/2)';S=df(X);Y=f(X);
	[M,z] = pl_me_plt(X, f, df);//returns M(z), z=3/2 X
	Me = pl_me_direct(X, Y, S);//returns Me(X)
	i=[3,5,7];j=[2,5,8];
	b = and(M(i)==Me(j));
endfunction

function [b] = runTestFile
	b = %t;	
	r = testWrapper(testX2, "testX2");b = checkForFail(r, b);
endfunction


