mode(-1);
__test_set = "PLQ: plq_dom";

function b = test1()
  b=%t;
  //full domains
  p=[%inf 1 0 0];I=plq_dom(p);
  b=b & isEqual(I,[-%inf,%inf]);
  p=[0,0,-1,0;%inf,0,1,0];I=plq_dom(p);
  b=b & isEqual(I,[-%inf,%inf]);
  //left bounded
  p=[0,0,0,%inf;1,0,0,0;%inf,1,0,0];I=plq_dom(p);
  b=b & isEqual(I,[0,%inf]);
  p=[0,0,0,%inf;%inf,1,0,0];I=plq_dom(p);
  b=b & isEqual(I,[0,%inf]);
  //right bounded
  p=[0,0,0,2;1,0,0,0;%inf,0,0,%inf];I=plq_dom(p);
  b=b & isEqual(I,[-%inf,1]);
  //left & right bounded  
  p=[0,0,0,%inf;1,0,0,0;%inf,0,0,%inf];I=plq_dom(p);
  b=b & isEqual(I,[0,1]);
  //singleton  
  p=[0,0,0,1];I=plq_dom(p);
  b=b & isEqual(I,[0,0]);
endfunction


function [b] = runTestFile()
	b = %t;
	b = checkForFail(testWrapper(test1,"test1"), b);	
endfunction
