mode(-1);

__test_set = "PLQ: plq_ll - Lasry-Lions double Envelope";

function [b] = test1()
	b = %f;
    lambda=0.7;mu=0.4;
	fctn = [-1,0,-1,-1;0,0,1,1;1,0,-1,1;%inf,0,1,-1];
	result = plq_ll(fctn,lambda,mu);
	desired = [-1.3 0. -1. -1.15; -0.7 1.6666667 3.3333333 1.6666667; 
    -0.4 0. 1. 0.85; 0.4 -1.25 0. 0.65; 0.7 0. -1. 0.85; 1.3 1.6666667 -3.3333333 1.6666667;
   %inf 0. 1. -1.15];
	b = plq_isEqual(result,desired);
endfunction

function [b] = runTestFile()
	b = %t;
	b = checkForFail(testWrapper(test1,"test1"), b);
endfunction
