// Author:   Mike Trienis
// For:      Dr. Yves Lucet
// Whatsit:  A test file for plq proximal average

// I = Indicator, E = Exponential, C = Conjugate, L = Linear, Q = Quadratic

// <-- NO CHECK REF -->

printf("testL2Lpa\n");
lambda_pa = 0.5;
f1 = [%inf, 0, 1, 0];
f2 = [%inf, 0, -1, 5]; 
desired = [%inf,0,0,2];
result = plq_pa(f1,f2,lambda_pa),
result2 = plq_pa_mu(1,lambda_pa,f1,f2),
if ~isEqual(desired, result, result2) then pause; end;

printf("testI2Ipa\n");
lambda_pa = 0.5;
f2 = [5,0,0,1];
f1 = [6,0,0,4];
desired = [5.5,0,0,2.625];
result = plq_pa(f1,f2,lambda_pa),
result2 = plq_pa_mu(1,lambda_pa,f1,f2),
if ~isEqual(desired, result, result2) then pause; end;

//printf("testE2Cpa\n");
//lambda_pa = 1;
//f0 = [0,0,0,0];
//f1 = [0,0,0,0];
//desired = [5.5,0,0,2.625];
//result = plq_pa(f1,f2,lambda_pa),
//result2 = plq_pa_mu(1,lambda_pa,f1,f2),
//if ~isEqual(desired, result, result2) then pause; end;

//printf("testL2Qnonconvex\n");
//f1 = [-1,0,-1,-2;1,0,1,0;%inf,0,-1,2];
//f2 = [0,-1,0,0;%inf,1,0,0];
//plq_plotpa_mu(f1,f2,-2:0.25:2,0:0.1:1,1,[-2,-5,3,10]); plq_plotMultiple(-2,3,f1,f2);
//lambda = 0.5;
//mu = 0.5;
//plq
