mode(-1)

__gph_demo_dir=get_absolute_file_path('demo_gph.sce');
while %t then
  gph_demolist=[
    '1. Conjugate of the absolute value function', 'gph_lft.sce';
    '2. The Moreau envelope of a GPH function', 'gph_me.sce';
    '3. The proximal average of two GPH functions', 'gph_pa.sce'];

  if  whereis('tk_choose')<>[] & (msscanf(getversion(),"%*7s%d") < 5) then 
    num=tk_choose(gph_demolist(:,1),['Demos > CCA > Graph-Matrix Calculus (GPH)','Choose a demo']);
  elseif (msscanf(getversion(),"%*7s%d") < 5) then 
    //use x_choose when tk_choose is not available e.g. in Scilab 3.0
    num=x_choose(gph_demolist(:,1),['Demos > CCA > Graph-Matrix Calculus (GPH)','Choose a demo']);
  else
    //use x_choose_modeless in Scilab 5.x.x due to bug of
    //tk_choose
    num=x_choose_modeless(gph_demolist(:,1),['Demos > CCA > Graph-Matrix Calculus (GPH)','Choose a demo']);
  end;

  if num==0 then
    break;
  else
    exec(__gph_demo_dir+gph_demolist(num,2),-1);
  end,
end;
clear __gph_demo_dir
