mode(-1)

__pa_demo_dir=get_absolute_file_path('demo_pa.sce');
while %t then
  pa_demolist=[
    '1. Arithmetic and Proximal Averages of quadratic to linear function','im_q2l.sce';
    '2. PA of negative log(x) to negative log(-x)','nl2nl.sce';
    '3. PA of a strictly convex nonsmooth function to a nonstrictly convex smooth function','norm.sce';
    '4. PA of a subspace to its orthognal complement','sub.sce';
    '5. PA of exponential to its conjugate','im_exp2expstar.sce';
    '6. PA of two nonconvex functions (mu = 1)','pa_nonconvex.sce'];

      if  whereis('tk_choose')<>[] & (msscanf(getversion(),"%*7s%d") < 5) then 
	    num=tk_choose(pa_demolist(:,1),['Demos > CCA > Proximal Average','Choose a demo']);
      elseif (msscanf(getversion(),"%*7s%d") < 5) then 
	    //use x_choose when tk_choose is not available e.g. in Scilab 3.0
	    num=x_choose(pa_demolist(:,1),['Demos > CCA > Proximal Average','Choose a demo']);
      else
	    //use x_choose_modeless in Scilab 5.x.x due to bug of
            //tk_choose
	    num=x_choose_modeless(pa_demolist(:,1),['Demos > CCA > Proximal Average','Choose a demo']);
      end;

      if num==0 then
	    break;
      else
	    exec(__pa_demo_dir+pa_demolist(num,2),-1);
      end,
end;
clear __pa_demo_dir
