mode(-1);

// Demo file: Demonstrate the Moreau envelope of a GPH function.

gph = [-1 0 1 1 2; ..
       -2 0 0 1 1; ..
       -1 0 0 0 1];

lambdas = [0, 0.2, 0.5, 2, 6];
subplot(2,3,1);
gph_plot(gph);
xtitle("A GPH function");
for i = 2:5
  subplot(2,3,i);
  gph_plot(gph, gph_me(gph, lambdas(i)));
  xtitle("Moreau envelope with lambda = "+string(lambdas(i)));
end;
subplot(2,3,6);
gph_plot(gph, ..
         gph_me(gph, lambdas(2)), ..
         gph_me(gph, lambdas(3)), ..
         gph_me(gph, lambdas(4)), ..
         gph_me(gph, lambdas(5)));
xtitle("Moreau envelopes overlaid");
