mode(-1)
//exec("~/Desktop/CCA/main/mike/CCA/plq.sci"); 
tic();
th=1;

fig=scf();

drawlater();

//lset=[0:0.0005:1];//for final plot
lset=[0:0.000005:1];//for investigation
nc=round(length(lset)/100);


// lset=[0,0.0000001:0.000001:0.00001,0.00001:0.00005:0.001,0.001:0.0001:0.1,0.1:0.001:1]; //For Solid Plot
lset=[0,0.01:0.01:0.01,0.01:0.01:0.01,0.01:0.01:0.01,0.01:0.01:1];
cm=[jetcolormap(nc)];
fig.color_map = cm;
colorbar(0,1);
xtitle("Proximal Average (an exponential to its conjugate)", "x", "PA");

//exp to (exp)^*
xx=linspace(-3,4)';
f0=[%inf,1,2,1];f1=[%inf,1,-2,6];
x0=linspace(-10,10,50);f0=plq_build(x0,exp,exp);
function y=f(x),
      i1=find(x<0);i2=find(x==0);i3=find(x>0);y(i1)=%inf*ones(i1);y(i2)= ...
	 0;y(i3)=x(i3).*log(x(i3))-x(i3);
endfunction
function y=df(x),
      i1=find(x<=0);i2=find(x>0);y(i1)=%inf*ones(i1);y(i2)=log(x(i2));
endfunction
x1=linspace(0,20,50)';f1=plq_build(x1,f,df);
rect=[-3,-2,4,20];

i=1;stp=ceil(length(lset)/10);

beginProgress();

for lambda=lset,
    pa=plq_pa(f0,f1,lambda);
    if lambda > 0.4 then xlb=-3;
    elseif lambda==0 then xlb=0; 
    else xlb=-lambda*100000; end;
    xlb=max(xlb,-3);
    xx=linspace(xlb,4)';
    yy=plq_eval(pa,xx);
    plot2d(xx,yy,style=ceil(lambda*nc),rect=rect);
	if modulo(i,stp)==0 then
	      drawnow();
	      showProgress((i)/length(lset));
	      drawlater();
	end;
    i=i+1;
end;
finishProgress();
drawnow();
//plot2d(xx,xx+2,style=1);p=get("hdl") ;p.children.thickness=th;
//plot2d(xx,xx.^2,style=nc);p=get("hdl") ;p.children.thickness=th;
toc();
