mode(-1)
th=1;

fig=scf();

drawlater();

//lset=[0:0.0005:1];//for final plot
lset=[0:0.01:1];
nc=length(lset);
cm=[jetcolormap(nc)];

fig.color_map = cm;
colorbar(0,1);
//xx=linspace(0,10)';f1plq=[%inf,1,2,1];f2plq=[%inf,1,-2,6];
xtitle("Proximal Average (-log(x) to -log(-x))", "x", "PA");

function y = f1(x)
  i1 = find(x<=0); y(i1) = %inf*ones(i1);
  i2 = find(x>0);  y(i2) = -log(x(i2));
endfunction
function dy = df1(x)
  i1 = find(x<=0); dy(i1) = %inf*ones(i1);
  i2 = find(x>0);  dy(i2) = -x(i2)^(-1);
endfunction
x1=linspace(0,10,50)'; f1plq=plq_build(x1,f1,df1); [y1,k]=plq_eval(f1plq,x1); //plot2d(x1,y1);

function y = f2(x)
  i1 = find(x<0);  y(i1) = -log(-x(i1));
  i2 = find(x>=0); y(i2) = %inf;
endfunction
function dy = df2(x)
  i1 = find(x<0);  dy(i1) = -x(i1)^(-1);
  i2 = find(x>=0); dy(i2) = %inf;
endfunction
x2=linspace(-10,0,50)'; f2plq=plq_build(x2,f2,df2); [y2,k]=plq_eval(f2plq,x2); //plot2d(x2,y2);

rect=[-5,-1.5,5,2.5]
xx=linspace(-5,5,50)';
plq_plotpa(f1plq, f2plq, xx, lset, rect);

drawnow();
