//Proximal point algorithm
//p: plq function
//x0: starting point
//X,Y: coordinates of all the iterations
function [X,Y]=iter_prox(p,lambda,x0)
   r=plq_prox(p,lambda);
   eps=1e-4;iterMax=100;
   iter=0;x=x0;xp=plq_eval(r,x);X=[x;xp];Y=[xp;xp];
   while (abs(x-xp)>eps)
    if iter > iterMax then break end;
    x=xp;xp=plq_eval(r,x);
    X=[X;x;xp];Y=[Y;xp;xp];
    iter=iter+1;
  end
endfunction