// Internal function.  Returns 0 if a command-line progress bar shound be
// used, or 1 if a GUI progress bar via waitbar() should be used.
function typ = _progressType()
  global __ccaProgressType

  if __ccaProgressType == [] then
    if msscanf(getversion(),"%*7s%d") < 5 then
      __ccaProgressType = 0;
    elseif getscilabmode() == "NWNI" | getscilabmode() == "API" then
      __ccaProgressType = 0;
    else
      __ccaProgressType = 1;
    end;
  end;

  typ = __ccaProgressType;
endfunction
