function [b,s] = checksize(n,m,sizef,functionname)
  //assume n,m positive integer, and test whether sizef=[n,m]
  //internal function

  b = n==sizef(1) & m==sizef(2);s='';
  if ~b
    if n~=sizef(1)
      s=sprintf("Inconsistent size of f in %s. size(Xr)=%i, but size(f,1)=%i",functionname,n,sizef(1));
    end;
    if m~=sizef(2)
      s=sprintf("Inconsistent size of f in %s. size(Xc)=%i, but size(f,2)=%i",functionname,m,sizef(2));
    end;
  end;
endfunction