function lmb=pa_lambda_at(x,y,f0,f1)
    lmb=%nan;//anything not defined returns %nan
    if f0==[%inf,0,0,0] & f1==[0,0,0,1] then
      lmb=y/2+1/2+x^2/4-sqrt(4*y^2-8*y+4*y*x^2+4+4*x^2+x^4)/4;
    elseif f0==[%inf,0,0,0] & f1==[%inf,0,0,1] then
      lmb=y;
    elseif f0==[%inf,0.5,0,0] & f1==[0,0,0,1] then
      if abs(2*y-x*x)<1e-6 then
        lmb=0;
      elseif abs(x)<1e-6 & abs(y-1)<1e-6 then
        lmb=1;
      else     
        delta = (2+x^2+2*y)^2-8*(2*y-x^2);
        if delta >=0 then
          lmb=((2+x^2+2*y)-sqrt(delta))/4;
        end        
      end    
    end
endfunction











