function copaDisplay(f0,f1,rect,T,Alg,x,y,nlambda)
  //nc: number of colours
  //nc=max(round(nlambda/100),100);
  //nc=nlambda;
  nc=512
  //cm=[jetcolormap(nc-1); 0 0 0; 1 1 1];//cm: colormap
  //cm=[jetcolormap(nc-1)];  
  cm=[jetcolormap(nc)];  
  //cm=[1 1 1 ; jetcolormap(nc-1)];  
  for i=definedfields(T),
    tmp = (T(i)==-1);T(i)(tmp) = 0;//convert lambda=-1 values
    tmp = (T(i)>=1);T(i)(tmp) = 1;//convert lambda >=1
    T(i)=T(i)($:-1:1,:);T(i)=T(i) .* nc;//reverse y-axis and scale by nc
  end

  printf("Plotting\n");
  beginProgress();
  //Plot the results of T.
  x_plot=x;y_plot=y;winID=0;nw=size(Alg,2)+1;//number of windows
  
  showProgress(1/nw);
  scf(1);clf();
  tic();
  plq_plotpa(f0,f1,x_plot,la,rect);
  //plq_plotpa_lambdaSet(f0,f1,x_plot,la,1,rect);
  plot2d([0,0],[1,rect(4)],nc);//plot indicator function
  xtitle("Exact Curves: "+string(length(la))); 
  h=gca();h.font_size=4;h.parent.children(1).font_size=4;
  drawnow();  
//  printf("time to plot curves: %f\n",toc());
  
  scf(0);subplot(1,1,1);clf();
  winID=nextWinID(winID);
  drawlater();  

  winID=nextWinID(winID);
  xset("colormap",cm);
  //colorbar(0,1,[2,nc-1]);
  colorbar(0,1);
  rct=[x_plot(1),y_plot(1),x_plot($),y_plot($)];
  plot2d([x_plot(1),x_plot($)],[y_plot(1),y_plot($)],-1);
  T1=T(2)';T1=T1(:,$:-1:1);
  Sgrayplot(x_plot,y_plot,T1);
  xtitle("Linear Interpolation: grayplot");
//  ii = intersect([1 3:size(Alg,2)],definedfields(T));
  ii = intersect([1:size(Alg,2)],definedfields(T));
  for i=ii,
    winID=nextWinID(winID);
    xset("colormap",cm);
    colorbar(0,1,[2,nc-1]);
    //colorbar(0,1);
    rct=[x_plot(1),y_plot(1),x_plot($),y_plot($)];
    plot2d([x_plot(1),x_plot($)],[y_plot(1),y_plot($)],-1);
    //Matplot1(T(i),rct);//plot each cell with a small square of color cm(int(T_lin(i,j)))
    T1=T(i)';T1=T1(:,$:-1:1);Sgrayplot(x_plot,y_plot,T1);
    xtitle(Alg(i));
  end
  drawnow();
  finishProgress();
endfunction