function dispPerformance(Nx,tim,Alg,Title,legendPos)
  //display the Nx vs. time for each column in tim
  //Alg is a vector of strings storing the name of each algorithm
  //Title is a vector sent to the xtitle command
  //legendPos: position parameter in the legend command
  if argn(2)<5 then legendPos=2;end;
  drawlater();
  plot2d(Nx,tim);hl=gca();hl.font_size=4;
  hl=legend(Alg,legendPos,%f);hl.font_size=4;
  xtitle(Title(1),Title(2),Title(3));
  hl=gca();hl.parent.children(2).x_label.font_size=4;
  hl.parent.children(2).y_label.font_size=4;
  drawnow();
endfunction