//extend the graph to boundary values by linear extrapolation
//only return the first 2 rows and discard the 3rd row
function G = _gph_extendGph(g,rect)
  if g(1,1)==g(1,2) then //vertical line on left
    G=[[g(1,1);rect(2)],g(1:2,:)];
  else
    G=[[rect(1);_gph_yCoord(rect(1),g(1,1),g(2,1),g(1,2),g(2,2))],g(1:2,:)];
  end
  if (g(1,$)==g(1,$-1)) then //vertical line on right
    G=[G,[g(1,$);rect(4)]];
  else
    G=[G,[rect(3);_gph_yCoord(rect(3),g(1,$-1),g(2,$-1),g(1,$),g(2,$))]];
  end
endfunction