//internal function. Slower than _pl_fusionsci due to the interpreted
//Scilab commands but linear time.
function [fH]=_pl_fusion(C,S)
	// C and S must be column vectors
	n=size(C,1)-1;m=size(S,1);
	i=1;j=1;
	if (length(S) == 0) then
	  fH=[];
	  return;
	end;
	if (length(S) == 1) then
	  fS=[S(1)];
	else
	  fS=[S(1);S(2)];
	end;
	clear fH;
	isEcho=%F;
	S(size(S,1)+1)=0; //Useful to make the last test of the loop
	if (isEcho) printf("starting...n=%i, m=%i\n",n,m);end;
	if (isEcho) printf("start...i=%i, j=%i\n",i,j);end;
	// Now we deal with the remaining slopes
	while (j<=m & i<=n+1 & S(j)<=C(n+1)),
		while S(j)>C(i),
			i=i+1; 
		end
		if (isEcho) printf("     ...i=%i, j=%i\n",i,j);end;
		fH(j)=i;
		fS(j)=S(j);
		j=j+1;
	end
	if (isEcho) printf("out  ...i=%i, j=%i\n",i,j);end;
	if (j<=m & i<=n+1 & S(j)>C(n+1))
		if (isEcho) printf("if   ...i=%i, j=%i\n",i,j);end;
		for l=j:m,
			fH(l)=n+2;//last point in the graph. Slopes are from i to i+1 so last slope is C(n+1), so last point is index n+2
			fS(l)=S(l);
			if (isEcho) printf("for  ...i=%i, j=%i\n",i,l);end;
		end
	end
endfunction