//Moreau envelope of univariate function (not necessarily convex)
function M = pl_me_llt(X,f,S,isconvex,fusionopt)
	if (argn(2)<4) then isconvex=%f;fusionopt=1;
	elseif (argn(2)<5) then fusionopt=1;//scilab syntax for fast execution
	elseif (fusionopt~=0) then fusionopt=1;//programming syntax for linear-time execution
	end;
	g = (X.^2 + f)/2;
	Conj = pl_lft_llt(X,g,S,isconvex,fusionopt);
	M = S.^2 - 2 * Conj;
endfunction

