// A polynomial is always infinite if a and b are not infinite
// and not NaN, and c is infinite.
function [alwaysinf, sgn] = _plq_rowalwaysinf(plqf)
  alwaysinf = ~(or(isinf(plqf(:,2:$-1)), 2) ...
                | or(isnan(plqf(:,2:$-1)), 2)) ...
              & isinf(plqf(:,$));
  sgn = sign(plqf(:,$));
endfunction