mode(-1);

__test_set = "GPH: _removeTriplicate";

funcprot(0); // it is written to avoid warnings
function [b] = test1()
  M=[1 2 2 3 3 3 4 4 4 4];
  [N,k]=_removeTriplicate(M,1E-6);
  b=and(N==[1 2 2 3 3 4 4]) & and(k==[1 2 3 4 6 7 10]);
endfunction

function [b] = test2()
  M=[1 2 2 3 3 3 4 4 4 4 1 1];
  [N,k]=_removeTriplicate(M,1E-6);
  b=and(N==[1 2 2 3 3 4 4 1 1]) & and(k==[1 2 3 4 6 7 10 11 12]);
endfunction


function [b] = runTestFile()
  b = %t;
  b = checkForFail(testWrapper(test1,"test1"), b);    
  b = checkForFail(testWrapper(test2,"test2"), b);    
endfunction
