mode(-1);
__test_set = "PLQ: Plotting functions with approximations";

// A test file for PLQ plotting functions with approximations.

// All of this has been done already in the t.sci file
//exec(pathconvert(__base_dir+"/macros/copa_compute")+"copaCompute.sci");//getf replaced by exec
//exec(pathconvert(__base_dir+"/macros/copa_compute")+"copaSetup.sci");//getf replaced by exec
//exec(pathconvert(__base_dir+"/macros/copa_compute")+"dispEff.sci");//getf replaced by exec
//exec(pathconvert(__base_dir+"/macros/copa_compute")+"dispOrder.sci");//getf replaced by exec
//exec(pathconvert(__base_dir+"/macros/copa_compute")+"pa_lambda_at.sci");//getf replaced by exec
//exec(pathconvert(__base_dir+"/macros/copa_compute")+"printDifference.sci");//getf replaced by exec

//exec(pathconvert(__base_dir+"/macros/")+"plq_pa_Y.sci");//for profiling add ,"p"...getf replaced by exec
//exec(pathconvert(__base_dir+"/macros/")+"interpolate_grid.sci");//getf replaced by exec
//exec(pathconvert(__base_dir+"/macros/")+"grid2Ddata.sci");//getf replaced by exec
//exec(pathconvert(__base_dir+"/macros/")+"copa_display.sci");//getf replaced by exec

function b = testSheppardApprox1()
    b = %f;
    f0=[%inf,0.5,0,0];f1=[0,0,0,1];rect=[-4,0,4,12];    
    nn=14;
    nx=30;
    nlambda=20;
    err=0;
    ny=nx+1;
    x=linspace(rect(1),rect(3),nx)';
    y=linspace(rect(2),rect(4),ny)'
    lambda=linspace(0,1,nlambda)';
    Y = copaSetup(f0,f1,lambda,x);
    X = ones(nlambda,1) .*. x;//see help kron for detail
    L = lambda .*. ones(nx,1);
    YY = Y';
    xyz = [X YY(:) L];            
    xyz(find(xyz==%inf))=rect(4)+1;//substitute %inf values    
    T = _sheppard_interpn(xyz,x,y,rect);
    s=sum(T);
    if (s < 366.66 & s > 366.64) then
        b = %t;
    else
        b = %f;
    end
endfunction


function b = testSheppardApprox2()
    b = %f;
    f0=[%inf,0.5,0,0];f1=[0,0,0,1];rect=[-4,0,4,12];    
    nn=14;
    nx=30;
    nlambda=115;
    err=0;
    ny=nx+1;
    x=linspace(rect(1),rect(3),nx)';
    y=linspace(rect(2),rect(4),ny)'
    lambda=linspace(0,1,nlambda)';
    Y = copaSetup(f0,f1,lambda,x);
    X = ones(nlambda,1) .*. x;//see help kron for detail
    L = lambda .*. ones(nx,1);
    YY = Y';
    xyz = [X YY(:) L];            
    xyz(find(xyz==%inf))=rect(4)+1;//substitute %inf values    
    T = _sheppard_interpn(xyz,x,y,rect);
    s=sum(T);
    if (s < 386.62 & s > 386.61) then
        b = %t;
    else
        b = %f;
    end
endfunction



function b = runTestFile()
    b = %t;
    b = checkForFail(testWrapper(testSheppardApprox1, "testSheppardApprox1"), b);
    b = checkForFail(testWrapper(testSheppardApprox2, "testSheppardApprox2"), b);
endfunction



