mode(-1);

__test_set = "Common: epsUnique";

function [b] = test1()
  X=[1;1;2];eps=1E-6;
  [Xu,ku]=epsUnique(X,eps);
  b=isEqual(Xu,[1;2]) & isEqual(ku,[1;3]);
endfunction

function [b] = test2()
  eps=1E-6;
  X=[1;1;1;1;1+eps/10;2];
  [Xu,ku]=epsUnique(X,eps);
  b=isEqual(Xu,[1;2]) & isEqual(ku,[1;6]);
endfunction

function [b] = test3()
  eps=1E-6;
  X=linspace(0,eps,4)';
  [Xu,ku]=epsUnique(X,eps,%t);
  b=isEqual(Xu,[0;eps]) & isEqual(ku,[1;4]);
endfunction

function [b] = runTestFile()
  b = %t;
  b = checkForFail(testWrapper(test1,"test1"), b);    
  b = checkForFail(testWrapper(test2,"test2"), b);    
  b = checkForFail(testWrapper(test3,"test3"), b);    
endfunction
