// Author:   Mike Trienis
// For:      Dr. Yves Lucet
// Whatsit:  A test file for the Lasry Lions Double Moreau Envelope (DME)

mode(-1);
__test_set = "ME: ll - Lasry Lions Double Moreau Envelope";
function [b] = testLasryLions()
	b = %f;
	X=[-2:0.1:2]';
	Y=abs(abs(X)-1);
	S=X;
	result = pl_ll(X,Y,S,1,1,pl_me_direct) 
	desired = [0.5 0.495 0.48 0.455 0.42 0.375 0.32 0.255 0.18 0.095 0. 0.095 0.18 0.255 0.32 0.375 0.42 0.455 0.48 0.495 0.5 0.495 0.48 0.455 0.42 0.375 0.32 0.255 0.18 0.095 0. 0.095 0.18 0.255 0.32 0.375 0.42 0.455 0.48 0.495 0.5 ]'
	b = and(norm(result - desired)<1E-8);
endfunction
	

function [b] = runTestFile()
	b = %t;
	b = checkForFail(testWrapper(testLasryLions, "testLasryLions"), b);
endfunction


