__test_set = "PLQ: plq_check";
mode(-1);

function [b] = test1()
  p=[-1 0 0 %inf;0 0 0 0; 1 0 0 1;%inf 0 0 %inf];//discontinuous
  b=~plq_check(p,2);
endfunction

function [b] = test2()
  p=[-1 0 0 %inf;0 0 0 0; -0.5 0 0 0;%inf 0 0 %inf];//x nonincreasing
  b=~plq_check(p,1);
  b= b & plq_check(p,2);
endfunction

function [b] = test3()
  p=[0 0 -1 0;%inf 0 1 0];//abs
  b=plq_check(p);
endfunction


function [b] = runTestFile()
	b = %t;
	b = checkForFail(testWrapper(test1, "test1"), b);
	b = checkForFail(testWrapper(test2, "test2"), b);
	b = checkForFail(testWrapper(test3, "test3"), b);	
endfunction
