// Test the row/column map routines.
// Author: Bryan Gardiner

// <-- NO CHECK REF -->

function row2 = doRow(row, i), row2 = [row(1)*row(2)+row(3), row(4), i]; endfunction
function col2 = doCol(col,i), col2 = [size(col,1); sum(col); i]; endfunction

m = [1 2 3 4; 5 6 7 8];
desired = [5 4 1; 37 8 2];
result = rowMap(doRow, m);
if result ~= desired then pause, end;

m = [1 2 3 4; 5 6 7 8; 10 11 12 13];
desired = [3 3 3 3; 16 19 22 25; 1 2 3 4];
result = colMap(doCol, m);
if result ~= desired then pause, end;
