// Author: Bryan Gardiner
// For: Yves Lucet
// Date: Summer 2008
// Test Fitzpatrick functions with nonmonotone operators.

// <-- NO CHECK REF -->

printf("Testing op_fitz* with a nonmonotone operator.\n");
a = [1,2,3,4];
astar = [3,5,4,2];
A = [a;astar];
B = [a;astar;astar+0.5];
x = 0:5;
xstar = 0:5;
F0 = %inf * ones(length(x), length(xstar));
F1 = op_fitz_brute(A, %inf, x, xstar);
F2 = op_fitz_direct(A, %inf, x, xstar);
F3 = op_fitz(A, %inf, x, xstar);
F4 = op_fitzinf(B, x, xstar);
if (~and(isEqual(F0, F1))) then pause; end;
if (~and(isEqual(F0, F2))) then pause; end;
if (~and(isEqual(F0, F3))) then pause; end;
if (~and(isEqual(F0, F4))) then pause; end;
