// Author:   	Yves Lucet
// Whatsit:  	Test file for plq_proj

// <-- NO CHECK REF -->

printf("testProj\n");
if (isdef('quapro')) then
	n=200;
	x=linspace(-2,2,n)';f=abs(abs(x)-1);
	[plqr,fr]=plq_proj(f,x,2);
	pr=plq_eval(plqr,x);
	//result validated symbolically with Maple
	plqd = [-sqrt(2),0,-1,-1;sqrt(2),0,0,sqrt(2)-1;%inf,0,1,-1];
	pd=plq_eval(plqd,x);
	fd = 4 - 8*sqrt(2)/3;
	if ~and(norm(pr-pd)<1E-4) | abs(fr-fd)>1E-4 then pause; end;
end

printf("testProjNormTooHigh\n");
if (isdef('quapro')) then
	b = %t;
	n = 200;
	x = linspace(-2, 2, n)';
	f = abs(abs(x) - 1);
	try
		[plqr, fr] = plq_proj(f, x, 3);
	catch
		// This should test for the correct error message like so:
		//if lasterror() == ''
		//	b = %f;
		//end
		b = %f;
	end
	if b then pause; end;
end
